> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Offline Payment

POST https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline
Content-Type: application/json

Create offline payment

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/payments/post-payments-offline

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Body (application/json)

This endpoint expects an object.

- `lineItems` (list of PaymentsOfflinePostRequestBodyContentApplicationJsonSchemaLineItemsItems, required)
- `currency` (string, required)
- `details` (PaymentsOfflinePostRequestBodyContentApplicationJsonSchemaDetails, required)
- `customerId` (string, required) — B2B Edition Company ID
- `externalId` (string, optional)
- `externalCustomerId` (string, optional)
- `payerName` (string, optional, default: Store offline payment) — Default is "Store Offline Payment " if no value is passed in.
- `payerCustomerId` (string, optional) — The default value is the same as the customerId.
- `processingStatus` (enum, optional, default: 3) — payment status, 3 is the default
  - Allowed values: `1`, `2`, `3`, `4`
- `channelId` (integer, optional) — BigCommerce channel ID

## Response

### 200

OK

- `code` (double, required)
- `data` (PaymentsOfflinePostResponsesContentApplicationJsonSchemaData, required)
- `meta` (PaymentsOfflinePostResponsesContentApplicationJsonSchemaMeta, required)

## Errors

### 422 Unprocessable Entity Error

Example response

- `code` (double, required)
- `meta` (PaymentsOfflinePostResponsesContentApplicationJsonSchemaMeta, required)
- `data` (PaymentsOfflinePostResponsesContentApplicationJsonSchemaData, required)

## Types

### PaymentsOfflinePostRequestBodyContentApplicationJsonSchemaLineItemsItems

- `invoiceId` (double, required)
- `amount` (string, required)

### PaymentsOfflinePostRequestBodyContentApplicationJsonSchemaDetails

- `memo` (string, optional)

### PaymentsOfflinePostResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional)

### PaymentsOfflinePostResponsesContentApplicationJsonSchemaMeta

- `message` (string, required)

## Examples

**Request**

```json
{
  "lineItems": [
    {
      "invoiceId": 13,
      "amount": "20.00"
    }
  ],
  "currency": "USD",
  "details": {
    "memo": "Test"
  },
  "customerId": "113",
  "payerName": "Store offline payment",
  "payerCustomerId": "113",
  "processingStatus": 3,
  "fundingStatus": "2"
}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "paymentId": 112
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Create offline payment
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline"

payload = {
    "lineItems": [
        {
            "invoiceId": 13,
            "amount": "20.00"
        }
    ],
    "currency": "USD",
    "details": { "memo": "Test" },
    "customerId": "113",
    "payerName": "Store offline payment",
    "payerCustomerId": "113",
    "processingStatus": 3,
    "fundingStatus": "2"
}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create offline payment
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline';
const options = {
  method: 'POST',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"lineItems":[{"invoiceId":13,"amount":"20.00"}],"currency":"USD","details":{"memo":"Test"},"customerId":"113","payerName":"Store offline payment","payerCustomerId":"113","processingStatus":3,"fundingStatus":"2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create offline payment
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline"

	payload := strings.NewReader("{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": \"2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create offline payment
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": \"2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create offline payment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": \"2\"\n}")
  .asString();
```

```php Create offline payment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline', [
  'body' => '{
  "lineItems": [
    {
      "invoiceId": 13,
      "amount": "20.00"
    }
  ],
  "currency": "USD",
  "details": {
    "memo": "Test"
  },
  "customerId": "113",
  "payerName": "Store offline payment",
  "payerCustomerId": "113",
  "processingStatus": 3,
  "fundingStatus": "2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create offline payment
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": \"2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create offline payment
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "lineItems": [
    [
      "invoiceId": 13,
      "amount": "20.00"
    ]
  ],
  "currency": "USD",
  "details": ["memo": "Test"],
  "customerId": "113",
  "payerName": "Store offline payment",
  "payerCustomerId": "113",
  "processingStatus": 3,
  "fundingStatus": "2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```